#ifndef __MENU_TRACKS_H
#define __MENU_TRACKS_H

#include <string>
#include <vdr/plugin.h>
#include "tracks.h"

using std::string;

// --- cMenuTrackItem ----------------------------------------------------------
class cMenuTrackItem : public cOsdItem 
{
  private:
    cTrack* track;
public:
    cMenuTrackItem(cTrack* Track);
    void Set(void);
    cTrack* Track() { return track; }
  };

class cMenuTracks : public cOsdMenu 
{
    cRecording* recording;
    void UpdateTitle();
    eOSState Play(void);
    eOSState Toggle(void);
    eOSState Blacklist(void);
 protected:
    virtual eOSState ProcessKey(eKeys Key);
 public:
    cMenuTracks(cRecording* Recording);
    static int lastReplayed;
};

#endif
